API Explorer 936 endpoints

Create Corporate Customer

POST /obp/v7.0.0/banks/BANK_ID/corporate-customers

OBPv6.0.0-createCorporateCustomer Roles: CanCreateCustomer(per bank),CanCreateCustomerAtAnyBank Corporate-CustomerCustomer

Create a corporate customer.

This endpoint is specifically for creating corporate customers. Individual-oriented fields (relationship_status, dependants, highest_education_attained, employment_status, name_suffix, date_of_birth, face_image, title) are not available on this endpoint.

Required Fields (2)
- legal_name
The corporate entity's legal name
- mobile_phone_number
The corporate entity's phone number
Optional Fields (7)
- customer_number
If not provided, a random number will be generated
- customer_type
CORPORATE (default) or SUBSIDIARY
- parent_customer_id
For SUBSIDIARY customers, the customer_id of the parent customer
Validations
**
- customer_number cannot contain `
:::` characters
URL Parameters
**
BANK_ID
gh.29.uk
  • email, credit_rating, credit_limit, kyc_status, last_ok_date, branch_id
  • customer_number must be unique for the bank
  • customer_type must be CORPORATE or SUBSIDIARY
  • parent_customer_id must reference an existing customer if provided Authentication is Required User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON request body fields (14)
amount
10.12
currency
EUR
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
rating
source
branch_id
DERBY6
credit_limit
credit_rating
customer_number
5987953
customer_type
INDIVIDUAL
email
felixsmith@example.com
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
JSON response body fields (28)
amount
10.12
bank_id
gh.29.uk
branch_id
DERBY6
currency
EUR
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
customer_type
INDIVIDUAL
date
2020-01-27
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
name_suffix
Sr
parent_customer_id
rating
relationship_status
single
source
title
Dr.
url
http://www.example.com/id-docs/123/image.png
credit_limit
credit_rating
Example request body
{
  "legal_name": "Eveline Tripman",
  "customer_number": "5987953",
  "mobile_phone_number": "+49 30 901820",
  "email": "felixsmith@example.com",
  "credit_rating": {
    "rating": "OBP",
    "source": "OBP"
  },
  "credit_limit": {
    "currency": "EUR",
    "amount": "0"
  },
  "kyc_status": false,
  "last_ok_date": "2025-10-21T01:45:41Z",
  "branch_id": "DERBY6",
  "customer_type": "CORPORATE"
}
Example success response
{
  "bank_id": "gh.29.uk",
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "customer_number": "5987953",
  "legal_name": "Eveline Tripman",
  "mobile_phone_number": "+44 07972 444 876",
  "email": "felixsmith@example.com",
  "face_image": {
    "url": "www.openbankproject",
    "date": "1100-01-01T00:00:00Z"
  },
  "date_of_birth": "1990-05-15",
  "relationship_status": "single",
  "dependants": 1,
  "dob_of_dependants": [
    "2015-03-20",
    "2018-07-10"
  ],
  "credit_rating": {
    "rating": "OBP",
    "source": "OBP"
  },
  "credit_limit": {
    "currency": "EUR",
    "amount": "0"
  },
  "highest_education_attained": "Master",
  "employment_status": "worker",
  "kyc_status": false,
  "last_ok_date": "2025-10-21T01:45:41Z",
  "title": "Dr.",
  "branch_id": "DERBY6",
  "name_suffix": "Sr",
  "customer_type": "INDIVIDUAL",
  "parent_customer_id": ""
}
Possible errors (11)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-10001: Incorrect json format.
  • OBP-30272: Invalid customer_type. Must be one of: INDIVIDUAL, CORPORATE, SUBSIDIARY.
  • OBP-30273: Parent customer not found. The parent_customer_id must reference an existing customer at the same bank.
  • OBP-30006: Customer Number already exists. Please specify a different value for BANK_ID or CUSTOMER_NUMBER.
  • OBP-20005: User not found. Please specify a valid value for USER_ID.
  • OBP-30007: The User is already linked to a Customer at the bank specified by BANK_ID
  • OBP-30024: Could not create Consumer
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv6.0.0 createCorporateCustomer Originally /obp/v6.0.0/banks/BANK_ID/corporate-customers